package org.josast.amicalsat;

import org.josast.amicalsat.FrameTlmAmicalsat.CuLogType;
import org.josast.amicalsat.FrameTlmAmicalsat.CuType;

//#[CU_R/CU_L];LOG;[Timestamp];[CPU voltage];[CPU temperature];[flags ]
public class CuLogTypeFrame extends Frame {

	private String timeStamps;
	private String cpuVoltage;
	private String cpuTemperature;
	private String cuFlags;

	@Override
	public void setUp(FrameTlmAmicalsat cube) {

		CuType cutype = (CuType) cube.frameTlmEntrySat().payload().tlmAreaSwitch();
		CuLogType log = (CuLogType) cutype.tlmsw();
		
		timeStamps = cutype.timesTamps();
		hash.put("TimeStamp", timeStamps);
		cpuVoltage = log.cpuVoltage();
		hash.put("cpuVoltage", cpuVoltage);
		cpuTemperature = log.cpuTemperature();
		hash.put("cpuTemperature", cpuTemperature);		
		cuFlags = log.cuFlags();
		hash.put("cuFlags", cuFlags);		
		

	}



}
